Debian Bug report logs - #717280
wagon: FTBFS with Java7: could not pass the test

version graph

Package: wagon; Maintainer for wagon is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Shuxiong Ye <yeshuxiong@gmail.com>

Date: Thu, 18 Jul 2013 19:30:02 UTC

Severity: serious

Tags: jessie, sid

Found in version 1.0.0-2

Fixed in version wagon/1.0.0-4

Done: Damien Raude-Morvan <drazzib@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717280; Package wagon. (Thu, 18 Jul 2013 19:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 18 Jul 2013 19:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: submit@bugs.debian.org
Subject: wagon: FTBFS with Java7: could not pass the test
Date: Fri, 19 Jul 2013 03:28:22 +0800
[Message part 1 (text/plain, inline)]
Package: wagon
Version: 1.0.0-2
Severity: serious
User: ubuntu-devel@lists.ubuntu.com
Usertags: openjdk-7-transition

-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Running org.apache.maven.wagon.providers.http.HttpWagonTest
Tests run: 42, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 4.926 sec
Running org.apache.maven.wagon.providers.http.HttpsWagonTest
Tests run: 42, Failures: 0, Errors: 19, Skipped: 0, Time elapsed: 4.984 sec
<<< FAILURE!
Running org.apache.maven.wagon.providers.http.HttpWagonTimeoutTest
Tests run: 4, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 4.867 sec

Results :

Tests in error:
  testStreamingWagon(org.apache.maven.wagon.providers.http.HttpsWagonTest):

testWagonGetIfNewerToStreamIsNewer(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonGetIfNewerToStreamIsOlder(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonGetIfNewerToStreamIsSame(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testFailedGetIfNewerToStream(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testFailedGetToStream(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use
  testWagon(org.apache.maven.wagon.providers.http.HttpsWagonTest): Address
already in use

testWagonGetIfNewerIsNewer(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonGetIfNewerIsOlder(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonGetIfNewerIsSame(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonPutDirectory(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonPutDirectoryDeepDestination(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonPutDirectoryWhenDirectoryAlreadyExists(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonPutDirectoryForDot(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use
  testFailedGet(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testFailedGetIfNewer(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonGetFileListWhenDirectoryDoesNotExist(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonResourceExists(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

testWagonResourceNotExists(org.apache.maven.wagon.providers.http.HttpsWagonTest):
Address already in use

Tests run: 88, Failures: 0, Errors: 19, Skipped: 0

[INFO]
------------------------------------------------------------------------
[ERROR] BUILD FAILURE
[INFO]
------------------------------------------------------------------------
[INFO] There are test failures.

Please refer to
/tmp/buildd/wagon-1.0.0/wagon-providers/wagon-http/target/surefire-reports
for the individual test results.
[INFO]
------------------------------------------------------------------------
[INFO] For more information, run Maven with the -e switch
[INFO]
------------------------------------------------------------------------
[INFO] Total time: 30 seconds
[INFO] Finished at: Thu Jul 18 16:02:24 UTC 2013
[INFO] Final Memory: 55M/141M
[INFO]
------------------------------------------------------------------------
make: *** [mvn-build] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[wagon-openjdk-7-log (application/octet-stream, attachment)]

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 19 Jul 2013 09:21:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717280; Package wagon. (Tue, 30 Jul 2013 09:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 30 Jul 2013 09:33:09 GMT) Full text and rfc822 format available.

Message #12 received at 717280@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: 717280@bugs.debian.org
Subject: Reported to upstream
Date: Tue, 30 Jul 2013 17:30:20 +0800
[Message part 1 (text/plain, inline)]
Hi,
I've reported this bug to the upstream.
See it here: http://jira.codehaus.org/browse/WAGON-400

-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]

Reply sent to Damien Raude-Morvan <drazzib@debian.org>:
You have taken responsibility. (Sun, 25 Aug 2013 22:21:19 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Sun, 25 Aug 2013 22:21:19 GMT) Full text and rfc822 format available.

Message #17 received at 717280-close@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@debian.org>
To: 717280-close@bugs.debian.org
Subject: Bug#717280: fixed in wagon 1.0.0-4
Date: Sun, 25 Aug 2013 22:18:31 +0000
Source: wagon
Source-Version: 1.0.0-4

We believe that the bug you reported is fixed in the latest version of
wagon, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717280@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damien Raude-Morvan <drazzib@debian.org> (supplier of updated wagon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 25 Aug 2013 23:22:18 +0200
Source: wagon
Binary: libwagon-java libwagon-java-doc
Architecture: source all
Version: 1.0.0-4
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Damien Raude-Morvan <drazzib@debian.org>
Description: 
 libwagon-java - tools to manage Maven artifacts and deployment
 libwagon-java-doc - tools to manage Maven artifacts and deployment - documentation
Closes: 717280
Changes: 
 wagon (1.0.0-4) unstable; urgency=low
 .
   [ Damien Raude-Morvan ]
   * Team upload.
   * Fix FTBFS with latest switch to java7 (Closes: #717280):
     - d/patches/0004-fix-tests-parrallel-run.diff: Provide a different
       port each running test.
     - d/patches/0003-do-not-run-https-tests.patch: Skip HTTPS tests
       for now.
Checksums-Sha1: 
 0868faa6fe2c8bf19357f111fc69e68a39536268 2829 wagon_1.0.0-4.dsc
 9434b4743b61d0cf1cee056678fc40be6e82c3cf 10313 wagon_1.0.0-4.debian.tar.gz
 defd3e387d94d305288ed8bc857fa04f2b5990fc 206318 libwagon-java_1.0.0-4_all.deb
 24ea57b5d34e0380fee0c1d049cd75f6cb74b34a 899522 libwagon-java-doc_1.0.0-4_all.deb
Checksums-Sha256: 
 97ee2dc6c70ebc201dd29d62c8c5191f9d42912f4efa2b6e3e271be15a65e58e 2829 wagon_1.0.0-4.dsc
 6dd4331e874477eb522a1b2c9d1d2a0e782f342f0f8dcb112b439f89ab6ec8b0 10313 wagon_1.0.0-4.debian.tar.gz
 5134a7a612954465784e4f28bab33856bb36b015684d3c41de8e15f8b7a26e68 206318 libwagon-java_1.0.0-4_all.deb
 e8798e61ca9f5d1cf221b09912a9ec391cdd3545c9a0e23fef9b6f530c7ea59f 899522 libwagon-java-doc_1.0.0-4_all.deb
Files: 
 30836720e00c0f75f9b2047ae4fcba05 2829 java optional wagon_1.0.0-4.dsc
 c03b37aefe1adb2f216025d952d41b19 10313 java optional wagon_1.0.0-4.debian.tar.gz
 3fc145ac1de1b0783cc1ae6d8c942769 206318 java optional libwagon-java_1.0.0-4_all.deb
 30a30d950ef1cf419de8d0b377521da9 899522 doc optional libwagon-java-doc_1.0.0-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSGn7pAAoJEHXiDM0z50n8v7gQANStGP7ZhSVUZoIUQuo2i91j
z27Sacihk4I8r9ySvZh/6zUhjTjQnP8MAs6OYTvMgi5Tktl19bDaGUopjeGnqQ9T
fs7sFl3yeZx2O6/6gIDx17tcFt6iHfJXAx0EY+16kCNlL5lpToxYktjb/yjuwfRR
nMOaSQDwfwqRcdUxgS0zVZ5EeIVcMeH2F9DmkT7LSgEug0VXKENjexsqGsG3QVXI
kOYFeLjGW1DnpQaiM6WdNWa2kG5bXiZk8UVeFObwvZTz30TT+JQqhqprDb85QrFd
C5jrI5FUZAfGiPemrgp39E34dSUfx93BsvyyDpOGPB6BhH4TAxgNuiTKShq6zflD
t2TPMkwtlsi9Ba625ASH7Doj7eSgWMWRD93N5e4KHz/G272pQmnP+MyNNmuQxeFH
jrtfQzrQ5dDngTfUn5w9sgBmq7V/qvxMI+uYy78M22vsQ8I/2+g77IPE/GbnkXYk
RZUNGfJzmvHqiUeyt57PaMOlEu13/uOLNKsSh6nhlrDuWobIEFAmeF/Zk+s8sqhz
2D8lFwaArK7T9NJdxo9xYwncnKS7Vpvls6/6Y3hhZz12lnRJFgI+c/f1yxydMX8w
QU0QQvopIfKUEhhA1hSBNXdRwS0L13ZmmgG3ELABPLKU+RsHXke7rnRJcsb/Ukp/
rLBwH5++7XGePogAlr0Y
=GOzX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Oct 2013 07:31:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:34:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.